require("scripts/selection scripts/SelectionManager.lua");

SManager = SelectionManager.create();

SManager:AddFlowers(FlowerType.FLOWERS4, "flowersSS", false);
SManager:AddFlowers(FlowerType.FLOWERS5, "flowersVGR", false);
SManager:AddFlowers(FlowerType.FLOWERS6, "flowersRE", true);

SManager:AddCake(CakeType.AUDREY, "cake1White", true);
SManager:AddCake(CakeType.BARBARA, "cake3Lemon", false);
SManager:AddCake(CakeType.CAKE6, "cake6Marble", false);

SManager:AddHoneymoon(HoneymoonType.MOUNTAINS, "HMTahoe", false);
SManager:AddHoneymoon(HoneymoonType.MOUNTAINS, "HMSwitzerland", false);
SManager:AddHoneymoon(HoneymoonType.MOUNTAINS, "HMHimalayas", true);

PreWeddingSelection = SManager:GenerateSelection(SelectionType.FLOWERS, SelectionType.CAKE, SelectionType.HONEYMOON);

dofile("scripts/selection scripts/SelectionDialogGenerator.lua");